#ifndef IMGUI_LAYER_HPP
#define IMGUI_LAYER_HPP

#include "../core.hpp"
#include "../layer.hpp"

namespace OpenEngine {
    class OE_API ImGuiLayer : public Layer
    {
        public:
            ImGuiLayer();
            ~ImGuiLayer() = default;

            virtual void OnAttach() override;
            virtual void OnDetach() override;
            virtual void OnImGuiRender() override;

            void Begin();
            void End();

        private:
            float previous_frame_time = 0.0f;
    };
}

#endif // IMGUI_LAYER_HPP
